datacache <- new.env(hash=TRUE, parent=emptyenv())

rtu34rnentrezg <- function() showQCData("rtu34rnentrezg", datacache)
rtu34rnentrezg_dbconn <- function() dbconn(datacache)
rtu34rnentrezg_dbfile <- function() dbfile(datacache)
rtu34rnentrezg_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
rtu34rnentrezg_dbInfo <- function() dbInfo(datacache)

rtu34rnentrezgORGANISM <- "Rattus norvegicus"

.onLoad <- function(libname, pkgname)
{
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "rtu34rnentrezg.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)

    ## Create the OrgDb object
    sPkgname <- sub(".db$","",pkgname)
    txdb <- loadDb(system.file("extdata", paste(sPkgname,
      ".sqlite",sep=""), package=pkgname, lib.loc=libname),
                   packageName=pkgname)    
    dbNewname <- AnnotationDbi:::dbObjectName(pkgname,"ChipDb")
    ns <- asNamespace(pkgname)
    assign(dbNewname, txdb, envir=ns)
    namespaceExport(ns, dbNewname)
        
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("RATCHIP_DB", "rtu34rnentrezg", "chip rtu34rnentrezg", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
    packageStartupMessage(AnnotationDbi:::annoStartupMessages("rtu34rnentrezg.db"))
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(rtu34rnentrezg_dbconn())
}

